# Yahoo! UI Library

### Charts Widget 2.5.2

Yahoo! UI Library > charts > YAHOO.widget.Axis

Show Private Show Protected

## Class YAHOO.widget.Axis

Defines a CartesianChart's vertical or horizontal axis.

### Constructor

YAHOO.widget.Axis `( )`

### Properties

#### hideOverlappingLabels `- Boolean`

If true, labels that overlap previously drawn labels on the axis will be hidden.

#### labelFunction `- String`

A string reference to the globally-accessible function that may be called to determine each of the label values for this axis.

#### orientation `- String`

The direction in which the axis is drawn. May be "horizontal" or "vertical".

#### reverse `- Boolean`

If true, the items on the axis will be drawn in opposite direction.

#### type `- String`

The type of axis.

Copyright © 2007 Yahoo! Inc. All rights reserved.